[![Build Status](https://travis-ci.com/Industrial/idTweaks.svg?branch=master)](https://travis-ci.com/Industrial/idTweaks)

# idTweaks
World of Warcraft AddOn. Automates many things with UI Options for each. Type
`/idt` or `/idtweaks` to start configuring.

Do you have an idea or suggestion? Leave a comment here or open a ticket on github
(https://github.com/Industrial/idTweaks).

![UI](https://raw.githubusercontent.com/Industrial/idTweaks/master/idTweaks.jpg "UI")

## Modules

### ActionBars
- 5 Action Bars, stacked.
- Pet bar on top.
- Replaces the Blizzard Action Bar.

### Automation
- Dismount when needed.
- Accept Hearthstone Bind.
- Accept PVP Release.
- Accept Resurrection.
- Accept Summon.
- Sell grey items.
- Repair (and print the cost).

### BlizzardUI
- Hide the Buffs/Debuffs frame.
- Hide the CastingBar frame.
- Hide the center error messages individually.

### Chat
- Print a small version of loot messages.
- Reload the interface when typing /rl or /reload.

### ExperienceBar
- Shows the player experience.
- Shows in text the amount of xp gained this level and required for the next.
- Configurable texture, font and height.
- Fits under the ActionBar or 100% width of the screen.

### Mail
- Send the mail when the recipient is filled and the 12th item is selected.

### Minimap
- Mousewheel zooming.
- Hide elements around the minimap.
- Toggle the minimap to be square.
- Move the minimap to the right of the action bars.

### Tooltips
- Anchor the tooltip to one place.

### Questing
- Accept quests automatically.
- Complete quests automatically.
- Set an override key to STOP automation.
